summaryrefslogtreecommitdiff
path: root/morphlib/exts/initramfs.write
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2014-06-03 16:41:51 +0000
committerRichard Maw <richard.maw@codethink.co.uk>2014-06-03 16:41:51 +0000
commit11b7c965debe5da58cc8f07d516fcd44aff30389 (patch)
tree8c331090ac5b68622e61d96cb111159f18597cb8 /morphlib/exts/initramfs.write
parent64263de0123f9e513a300fd179e5b84384fa5343 (diff)
parent1ab034dc56b8eb3fff8f8f2abf730450048e9dfc (diff)
downloadmorph-11b7c965debe5da58cc8f07d516fcd44aff30389.tar.gz
Merge branch 'baserock/richardmaw/S11159/initramfs-support'
Reviewed-by: Sam Thursfield and Richard Ipsum
Diffstat (limited to 'morphlib/exts/initramfs.write')
-rwxr-xr-xmorphlib/exts/initramfs.write27
1 files changed, 27 insertions, 0 deletions
diff --git a/morphlib/exts/initramfs.write b/morphlib/exts/initramfs.write
new file mode 100755
index 00000000..815772f2
--- /dev/null
+++ b/morphlib/exts/initramfs.write
@@ -0,0 +1,27 @@
+#!/bin/sh
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+# =*= License: GPL-2 =*=
+
+set -e
+
+ROOTDIR="$1"
+INITRAMFS_PATH="$2"
+
+(cd "$ROOTDIR" &&
+ find . -print0 |
+ cpio -0 -H newc -o |
+ gzip -c) >"$INITRAMFS_PATH"